---
import { changeLanguage } from "i18next";
import { getCollection, CollectionEntry } from "astro:content";
import MainLayout from "../../layouts/MainLayout.astro";
import PostCard from "../../components/PostCard.astro";
import { slugify, formatBlogPosts } from "../../js/utils";

changeLanguage("en");

export async function getStaticPaths() {
  return [
    {
      params: { category: slugify("Reference Docs") },
      props: { name: "Reference Docs" },
    },
    {
      params: { category: slugify("General") },
      props: { name: "General" },
    },
    {
      params: { category: slugify("CSS") },
      props: { name: "CSS" },
    },
    {
      params: { category: slugify("Astro") },
      props: { name: "Astro" },
    },
  ];
}
const { category } = Astro.params;
const { name } = Astro.props;
const allPosts = await getCollection("blog");
const formattedPosts: CollectionEntry<"blog">[] = formatBlogPosts(allPosts);
const catPosts = formattedPosts.filter(
  (post) => slugify(post.data.category) === category
);
---

<MainLayout title={name}>
  <section class="container" aria-label={`Posts about ${name}`}>
    <h1 class="h1">Posts about <span>{name}</span></h1>
    <div class="post-container">
      {
        catPosts.map((post) => (
          <PostCard data={post.data} url={post.slug} tagType="h2" />
        ))
      }
    </div>
  </section>
</MainLayout>

